## ros-noetic-rostopic 1.16.0

=== debian/changelog ===
ros-noetic-rostopic (1.16.0-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-rostopic (1.15.15-1buster) buster; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Contributors: Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-rostopic (1.15.14-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-rostopic (1.15.13-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-rostopic (1.15.12-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-rostopic (1.15.11-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-rostopic (1.15.10-1buster) buster; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-rostopic (1.15.9-1buster) buster; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Use range instead of xrange for Python 3 compatibility (#2013 <https://github.com/ros/ros_comm/issues/2013>)
  * Contributors: Dirk Thomas, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.8-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.7-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.6-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-rostopic (1.15.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-rostopic (1.15.2-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-rostopic (1.15.1-1buster) buster; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-rostopic (1.15.0-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-rostopic (1.14.4-1buster) buster; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * [Windows] make test code to be more portable (#1726 <https://github.com/ros/ros_comm/issues/1726>)
  * add --use-rostime for pub (#1717 <https://github.com/ros/ros_comm/issues/1717>)
  * _rostopic_list_group_by_host: publisher/subscriber lists have correct type now (#1780 <https://github.com/ros/ros_comm/issues/1780>)
  * more Python 3 compatibility (#1783 <https://github.com/ros/ros_comm/issues/1783>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * fix typo, confict -> conflict (#1690 <https://github.com/ros/ros_comm/issues/1690>)
  * repeatedly republish message from file (#1635 <https://github.com/ros/ros_comm/issues/1635>)
  * duplicate test nodes which aren't available to other packages, add missing dependencies (#1611 <https://github.com/ros/ros_comm/issues/1611>)
  * update wiki.ros.org URLs (#1536 <https://github.com/ros/ros_comm/issues/1536>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 06:00:00 -0000

ros-noetic-rostopic (1.14.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 05:00:00 -0000

ros-noetic-rostopic (1.14.2-1buster) buster; urgency=high

  * fix the count of subscribers, regression from 1.14.0 (#1407 <https://github.com/ros/ros_comm/issues/1407>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 05:00:00 -0000

ros-noetic-rostopic (1.14.1-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-rostopic (1.14.0-1buster) buster; urgency=high

  * add public get_topic_list() function for use in other scripts (#1154 <https://github.com/ros/ros_comm/issues/1154>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-rostopic (1.13.6-1buster) buster; urgency=high

  * add --tcpnodelay TransportHint option to hz and delay commands (#1296 <https://github.com/ros/ros_comm/issues/1296>)
  * remove unreachable exceptions (#1260 <https://github.com/ros/ros_comm/issues/1260>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 06:00:00 -0000

ros-noetic-rostopic (1.13.5-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 06:00:00 -0000

ros-noetic-rostopic (1.13.4-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 05:00:00 -0000

ros-noetic-rostopic (1.13.3-1buster) buster; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 05:00:00 -0000

ros-noetic-rostopic (1.13.2-1buster) buster; urgency=high

  * fix rostopic hz and bw in Python 3 (#1126 <https://github.com/ros/ros_comm/issues/1126>)
  * update tests to match stringify changes (#1125 <https://github.com/ros/ros_comm/issues/1125>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-noetic-rostopic (1.13.1-1buster) buster; urgency=high


